// Thanks to Mark Caron for his wonderful tutorial
// https://medium.com/@heyoka/scratch-made-svg-donut-pie-charts-in-html5-2c587e935d72
.donut-chart {
    display: flex;
    flex-direction: column;
    justify-content: space-around;

    .figure-content,
    .figure-caption {
        flex: 1;
        align-self: center;
        padding: 0 1em;
    }

    .figure-content svg {
        height: auto;
    }

    .chart-text {
        transform: translateY(0.25em);
    }

    .chart-number {
        transform: translateY(-0.25em);

        font-size: 0.6em;
        line-height: 1;
        text-anchor: middle;
    }

    .chart-label {
        transform: translateY(0.7em);

        font-size: 0.2em;
        text-transform: uppercase;
        text-anchor: middle;
    }
}
